Older Windows versions not supported

We are trying to use GitLab for our Windows Test Automation pipeline. We need to deploy on about 12 different versions of Windows. We have VMs set up with each version that we need to test on with the latest cumulative patch for each version of Windows.

According to: Install GitLab Runner on Windows | GitLab

After a Windows version no longer receives mainstream support from Microsoft, we officially deprecate the version and remove it in the next major change. For example, in 12.x we started supporting Windows 1803 because it came out on 2018-04-30. Mainstream support ended on 2019-11-12, so we deprecated Windows 1803 in 12.x and it was removed in GitLab 13.0.

Does that mean we cannot use GitLab for CI/CD since older versions of Windows aren’t supported?

Thanks!